## class osgDB::ParameterOutput

### Public Methods

ParameterOutput(Output& fw)
ParameterOutput(Output& fw, int numItemsPerLine)
void begin()
template<class T> void write(const T& t)
template<class Iterator> void write(Iterator first, Iterator last)
template<class Iterator> void writeAsInts(Iterator first, Iterator last)

### Protected Fields

Output& _fw
int _numItemsPerLine
int _column

## Documentation

`ParameterOutput(Output& fw)`

`ParameterOutput(Output& fw, int numItemsPerLine)`

`void begin()`

`template<class T> void write(const T& t)`

`template<class Iterator> void write(Iterator first, Iterator last)`

`template<class Iterator> void writeAsInts(Iterator first, Iterator last)`

`Output& _fw`

`int _numItemsPerLine`

`int _column`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.